summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/wheel/wheel-0.34.2.ebuild')
-rw-r--r--dev-python/wheel/wheel-0.34.2.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-python/wheel/wheel-0.34.2.ebuild b/dev-python/wheel/wheel-0.34.2.ebuild
new file mode 100644
index 00000000000..3a1a9b2fd85
--- /dev/null
+++ b/dev-python/wheel/wheel-0.34.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A built-package format for Python"
+HOMEPAGE="https://pypi.org/project/wheel/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/pypa/wheel/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed \
+ -e 's:--cov=wheel::g' \
+ -i setup.cfg || die
+ distutils-r1_src_prepare
+}